Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# viewport.hh File Reference

A GtkViewport C++ wrapper interface. More...

`#include <xfc/gtk/bin.hh>`
`#include <gtk/gtkviewport.h>`
`#include <xfc/gtk/inline/viewport.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Viewport
    A GtkViewport C++ wrapper class. More...

## Detailed Description

A GtkViewport C++ wrapper interface.

Provides Viewport, a widget that allows you to see part of a child widget and scroll the contents of the child.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3